> For the complete documentation index, see [llms.txt](https://docs.shyft.to/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shyft.to/solana-indexers/case-studies/raydium-launchpad/get-all-pools-for-a-creator.md).

# Get All Pools for a Creator

Raydium Launchpad pools can also be queried by the <mark style="color:yellow;">wallet that created</mark> them. Here, we filter by the `creator` field to fetch all pools launched by a specific address.

You can directly copy paste this code on <mark style="color:yellow;">replit</mark> and see it in action.

#### Fetch all Pools created by an User

{% tabs %}
{% tab title="Code Snippet" %}
{% code overflow="wrap" %}

```javascript
async function getPoolDetailsByCreator(creatorAddress) {
  const SHYFT_API_KEY = "YOUR_SHYFT_API_KEY";
  //query to get pool details by creator address
  const operationsDoc = `
        query MyQuery {
            raydium_launchpad_PoolState(
                where: {creator: {_eq: ${JSON.stringify(creatorAddress)}}}
            ) {
                supply
                total_base_sell
                total_quote_fund_raising
                virtual_base
                virtual_quote
                real_base
                real_quote
                pubkey
                migrate_type
                migrate_fee
                base_mint
                base_vault
                base_decimals
                quote_vault
                quote_mint
                quote_decimals
                creator
            }
        }
  `; //you can cherrypick the fields as per your requirement

  const result = await fetch(
    `https://programs.shyft.to/v0/graphql/accounts?api_key=${SHYFT_API_KEY}&network=mainnet-beta`, //SHYFT's GQL endpoint
    {
      method: "POST",
      body: JSON.stringify({
        query: operationsDoc,
        variables: {},
        operationName: "MyQuery",
      }),
    }
  );

  const { errors, data } = await result.json();

  console.dir(data, { depth: null });
}

getPoolDetailsByCreator("87wMyjR6RfpJLVy4TWEHK9WEe9UfMEMeU63BJnW3xfee");
//creator wallet address
```

{% endcode %}
{% endtab %}

{% tab title="Response" %}

```json
{
  "raydium_launchpad_PoolState": [
    {
      "supply": 1000000000000000,
      "total_base_sell": 793100000000000,
      "total_quote_fund_raising": 85000000000,
      "virtual_base": 1073025605596382,
      "virtual_quote": 30000852951,
      "real_base": 35407669830,
      "real_quote": 990001,
      "pubkey": "BtY5H2pJK2sRu5Kk59nn5CxzsmbeuD1iLxa8JDLSnS1z",
      "migrate_type": 0,
      "migrate_fee": 0,
      "base_mint": "8Q4XCJFqKSxnwkZWvCLSTcL44j5h9wgTNfbo7cv4Qray",
      "base_vault": "3riMoiujLgCikxpAaUwrkD8qoJ4p7WQ5D623tdKBJsnn",
      "base_decimals": 6,
      "quote_vault": "ArGZHBNoNjhvhN2pzr9Jmut78t8dM8z2ACT5DM83shky",
      "quote_mint": "So11111111111111111111111111111111111111112",
      "quote_decimals": 9,
      "creator": "87wMyjR6RfpJLVy4TWEHK9WEe9UfMEMeU63BJnW3xfee"
    },
    {
      "supply": 1000000000000000,
      "total_base_sell": 793100000000000,
      "total_quote_fund_raising": 85000000000,
      "virtual_base": 1073025605596382,
      "virtual_quote": 30000852951,
      "real_base": 0,
      "real_quote": 2,
      "pubkey": "HGDyDjKVZLtfj98s4mfjAGxaHTJFsDmWuygLGE8j6wqS",
      "migrate_type": 0,
      "migrate_fee": 0,
      "base_mint": "EANMWJG7nXKT3fS1fV7Lf3srWHembqexsUZ1UNVsxray",
      "base_vault": "CR5pzTf1UL19hyTMvEq5aHEoto3HtXhtsC6W3qx4G5FK",
      "base_decimals": 6,
      "quote_vault": "7CS8cjqyL54eiRvh4EiM7YVUCYgujadWMJnASroAzsC4",
      "quote_mint": "So11111111111111111111111111111111111111112",
      "quote_decimals": 9,
      "creator": "87wMyjR6RfpJLVy4TWEHK9WEe9UfMEMeU63BJnW3xfee"
    }
    {
      "supply": 1000000000000000,
      "total_base_sell": 793100000000000,
      "total_quote_fund_raising": 85000000000,
      "virtual_base": 1073025605596382,
      "virtual_quote": 30000852951,
      "real_base": 0,
      "real_quote": 1,
      "pubkey": "9Bgtt9KVxjaDzhD7opz43uYW6GJogBSJnSa6fdvbiEft",
      "migrate_type": 0,
      "migrate_fee": 0,
      "base_mint": "ER3FGWiV7JfFsxEJNV96YiG7AvyrVggzvgF327qttray",
      "base_vault": "F3RkJZBV6iF1GcqDyB6EwGmjJrFVwJdBw1H9k6HZ61Nd",
      "base_decimals": 6,
      "quote_vault": "CA635mUGgb8MsJVE2pA7otvx21izNBy6FCc5Zj6MbhSE",
      "quote_mint": "So11111111111111111111111111111111111111112",
      "quote_decimals": 9,
      "creator": "87wMyjR6RfpJLVy4TWEHK9WEe9UfMEMeU63BJnW3xfee"
    }
  ] //response shortend for visibility
}
```

{% endtab %}
{% endtabs %}

The response contains `base_mint` and `quote_mint` which is the <mark style="color:yellow;">liquidity pool pair</mark>. The response also contains more fields such as the the token vaults, token decimals, virtual base and quote, migration details, amount of tokens raised etc. which can be cherrypicked, or omitted as per your requirement.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shyft.to/solana-indexers/case-studies/raydium-launchpad/get-all-pools-for-a-creator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
